
  <!DOCTYPE html>
  <html lang="en">
    <head>
      <meta charset="utf-8" />
      <meta name="vcs" content="git"/>
<meta name="vcs:default-branch" content="main"/>
<meta name="vcs:clone" content="https://git.example.com/~username/nested"/>
<meta name="vcs:clone" content="git@git.example.com:~username/nested"/>
<meta name="forge:summary" content="https://git.example.com/~username/nested"/>
<meta name="forge:dir" content="https://git.example.com/~username/nested/tree/{ref}/item/{path}"/>
<meta name="forge:file" content="https://git.example.com/~username/nested/tree/{ref}/item/{path}"/>
<meta name="forge:rawfile" content="https://git.example.com/~username/nested/blob/{ref}/{path}"/>
<meta name="forge:line" content="https://git.example.com/~username/nested/tree/{ref}/item/{path}#L{line}"/>
<meta name="go-import" content="example.com/nested git https://git.example.com/~username/nested"/>
<meta name="go-source" content="example.com/nested https://git.example.com/~username/nested https://git.example.com/~username/nested/tree/{commit}/item/{file} https://git.example.com/~username/nested/tree/{commit}/item/{file}#L{line}"/>
<link href="/reseter.min.css" rel="stylesheet">
<link href="/style.css" rel="stylesheet">

      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      
        <title>turtle package - example.com/nested</title>
    </head>
    <body>
        <div class="module-nav sticky-header">
          <div>
            <a href="/nested@v1/">example.com/nested</a>/<a href="/nested@v1/deep/ly/">deep/ly</a>/<a href="#top" title="Back to top"
              >turtle <span>↑</span></a
            >
          </div>
          <nav><a
                href="#pkg-index"
                >Index</a
              >
            <span>|</span>&nbsp;<a
                href="#pkg-examples"
                >Examples</a
              >
            <span>|</span>&nbsp;<a
                href="#pkg-files"
                >Files</a
              >
            </nav>
        </div>
      
  <h1 id="pkg-overview">turtle package</h1>

    <p><code>import "example.com/nested/deep/ly/turtle"</code></p>
    <p>All the way down

    
  


    <h2 id="pkg-index">Index <a href="#pkg-index" class="permalink">¶</a></h2>

      <ul>
        
        
        
        
          <li>
            <a href="#Typ">type Typ</a>
            
              <ul>
                
                
                  <li>
                    <a href="#Typ.Method"
                      >func (t Typ) Method() int</a
                    >
                  </li>
                
              </ul>
            
          </li>
        
      </ul>
    
      <h2 id="pkg-examples">
        Examples
        <a href="#pkg-examples" class="permalink">¶</a>
      </h2>

      <ul>
        
        
        
          
          
          
            
              <li>
                <a href="#example-Typ_Method"
                  >Typ.Method
                  </a
                >
              </li>
            
          
        
      </ul>
    

    

    

    

    
      <h2 id="Typ" data-kind="type">
        type
        <a href="https://git.example.com/~username/nested/tree/main/item/deep/ly/turtle/turtle.go#L8" rel="noopener nofollow" title="View Source">Typ</a>

        <a href="#Typ" class="permalink">¶</a>
      </h2>
      <div class="corner-forge-link">
        <a href="https://git.example.com/~username/nested/tree/main/item/deep/ly/turtle/turtle.go#L8" rel="noopener nofollow" title="View Source">❖</a>

        <pre>type Typ struct{}</pre>
      </div>
      
      
      
      
  

      
      
        <h3 id="Typ.Method" data-kind="method">
          func (Typ)
          <a href="https://git.example.com/~username/nested/tree/main/item/deep/ly/turtle/turtle.go#L11" rel="noopener nofollow" title="View Source">Method</a>

          <a href="#Typ.Method" class="permalink">¶</a>
        </h3>
        <div class="corner-forge-link">
          <a href="https://git.example.com/~username/nested/tree/main/item/deep/ly/turtle/turtle.go#L11" rel="noopener nofollow" title="View Source">❖</a>

          <pre>func (t <a href="#Typ">Typ</a>) Method() <a href="https://pkg.go.dev/builtin#int">int</a></pre>
        </div>
        <p>Method has an associated example.

        
  
      <details>
        <summary id="example-Typ_Method">
          Example
          
          <a href="#example-Typ_Method" class="permalink">¶</a>
        </summary>
        
        <div class="corner-forge-link">
            <a href="https://git.example.com/~username/nested/tree/main/item/deep/ly/turtle/turtle_test.go#L9" rel="noopener nofollow" title="View Source">❖</a>

            <pre>fmt.Println(&#34;Answer:&#34;, Typ{}.Method())
</pre>
          </div>
        
      </details>
    
  

      
    

    

    
      <h2 id="pkg-files">
        Source Files
        <a href="#pkg-files" class="permalink">¶</a>
      </h2>
      <p><a href="https://git.example.com/~username/nested/tree/main/item/deep/ly/turtle/turtle.go" rel="noopener nofollow" title="View Source">turtle.go</a>
</p>
    
  

  

  
        <div class="module-nav footer">
          <div>
            <a href="/nested@v1/">example.com/nested</a>/<wbr /><a href="/nested@v1/deep/ly/">deep/ly</a>/<wbr /><span>turtle</span>
          </div>
          <code>main</code>
        </div>
        <footer>
          <nav>
            Generated with
            <a href="https://code.pfad.fr/vanitydoc/">vanitydoc (devel)</a> &middot;
            <a href="https://go.dev">Go Language</a>
          </nav>
        </footer>
    </body>
  </html>
